This patch is generated from the modio branch of HEAD in squid
Sun Jan 25 14:36:32 2004 GMT
See http://devel.squid-cache.org/

Index: squid/include/version.h
diff -u squid/include/version.h:1.4 squid/include/version.h:1.2.2.2
--- squid/include/version.h:1.4	Tue Nov 14 05:03:47 2000
+++ squid/include/version.h	Wed Dec 20 07:27:39 2000
@@ -4,7 +4,7 @@
  *  SQUID_VERSION - String for version id of this distribution
  */
 #ifndef SQUID_VERSION
-#define SQUID_VERSION	"2.5.DEVEL"
+#define SQUID_VERSION	"2.5.DEVEL-modio"
 #endif
 
 #ifndef SQUID_RELEASE_TIME
Index: squid/src/HttpHdrRange.c
diff -u squid/src/HttpHdrRange.c:1.6 squid/src/HttpHdrRange.c:1.2.2.4
--- squid/src/HttpHdrRange.c:1.6	Wed Feb  7 11:11:47 2001
+++ squid/src/HttpHdrRange.c	Tue Feb 13 12:54:28 2001
@@ -467,7 +467,7 @@
     assert(http);
     stringAppend(&b, full_appname_string, strlen(full_appname_string));
     stringAppend(&b, ":", 1);
-    key = storeKeyText(http->entry->hash.key);
+    key = storeKeyPublic(storeKeyUrl(http->entry), METHOD_GET);
     stringAppend(&b, key, strlen(key));
     return b;
 }
Index: squid/src/HttpRequest.c
diff -u squid/src/HttpRequest.c:1.6 squid/src/HttpRequest.c:1.2.2.5
--- squid/src/HttpRequest.c:1.6	Fri Jan 12 00:20:32 2001
+++ squid/src/HttpRequest.c	Sun Mar 18 14:51:21 2001
@@ -35,10 +35,24 @@
 
 #include "squid.h"
 
+CBDATA_TYPE(request_t);
+
+static int request_initialised = 0;
+
+void
+requestInit(void)
+{
+	if (request_initialised)
+		return;
+
+	request_initialised = 1;
+	CBDATA_INIT_TYPE(request_t);
+}
+
 request_t *
 requestCreate(method_t method, protocol_t protocol, const char *urlpath)
 {
-    request_t *req = memAllocate(MEM_REQUEST_T);
+    request_t *req = cbdataAlloc(request_t);
     req->method = method;
     req->protocol = protocol;
     if (urlpath)
@@ -51,6 +65,7 @@
     return req;
 }
 
+
 void
 requestDestroy(request_t * req)
 {
@@ -64,9 +79,7 @@
     httpHeaderClean(&req->header);
     if (req->cache_control)
 	httpHdrCcDestroy(req->cache_control);
-    if (req->range)
-	httpHdrRangeDestroy(req->range);
-    memFree(req, MEM_REQUEST_T);
+    cbdataFree(req);
 }
 
 request_t *
Index: squid/src/asn.c
diff -u squid/src/asn.c:1.10 squid/src/asn.c:1.2.2.12
--- squid/src/asn.c:1.10	Sat Mar  3 02:44:31 2001
+++ squid/src/asn.c	Sun Mar 18 14:33:31 2001
@@ -195,18 +195,19 @@
     assert(NULL != req);
     asState->request = requestLink(req);
     if ((e = storeGetPublic(asres, METHOD_GET)) == NULL) {
-	e = storeCreateEntry(asres, asres, null_request_flags, METHOD_GET);
-	asState->sc = storeClientListAdd(e, asState);
+        /* I'm guessing that this should be private .. */
+	e = storeCreateEntry(asres, asres, null_request_flags, METHOD_GET,
+          REPLY_OBJ_INTERNAL);
+	storeClientRegister(e, asState);
 	fwdStart(-1, e, asState->request);
     } else {
 	storeLockObject(e);
-	asState->sc = storeClientListAdd(e, asState);
+	storeClientRegister(e, asState);
     }
     asState->entry = e;
     asState->seen = 0;
     asState->offset = 0;
-    storeClientCopy(asState->sc,
-	e,
+    storeClientCopy(e,
 	asState->seen,
 	asState->offset,
 	4096,
@@ -228,7 +229,7 @@
 	asStateFree(asState);
 	return;
     }
-    if (size == 0 && e->mem_obj->inmem_hi > 0) {
+    if (size == 0 && storeMemHiOffset(e) > 0) {
 	memFree(buf, MEM_4K_BUF);
 	asStateFree(asState);
 	return;
@@ -267,18 +268,16 @@
 	asState->seen, asState->offset);
     if (e->store_status == STORE_PENDING) {
 	debug(53, 3) ("asHandleReply: store_status == STORE_PENDING: %s\n", storeUrl(e));
-	storeClientCopy(asState->sc,
-	    e,
+	storeClientCopy(e,
 	    asState->seen,
 	    asState->offset,
 	    4096,
 	    buf,
 	    asHandleReply,
 	    asState);
-    } else if (asState->seen < e->mem_obj->inmem_hi) {
-	debug(53, 3) ("asHandleReply: asState->seen < e->mem_obj->inmem_hi %s\n", storeUrl(e));
-	storeClientCopy(asState->sc,
-	    e,
+    } else if (asState->seen < storeMemHiOffset(e)) {
+	debug(53, 3) ("asHandleReply: asState->seen < storeMemHiOffset(e) %s\n", storeUrl(e));
+	storeClientCopy(e,
 	    asState->seen,
 	    asState->offset,
 	    4096,
@@ -297,7 +296,7 @@
 {
     ASState *asState = data;
     debug(53, 3) ("asnStateFree: %s\n", storeUrl(asState->entry));
-    storeUnregister(asState->sc, asState->entry, asState);
+    storeClientUnregister(asState->entry, asState);
     storeUnlockObject(asState->entry);
     requestUnlink(asState->request);
     cbdataFree(asState);
Index: squid/src/cbdata.c
diff -u squid/src/cbdata.c:1.10 squid/src/cbdata.c:1.2.2.6
--- squid/src/cbdata.c:1.10	Sat Mar  3 02:44:31 2001
+++ squid/src/cbdata.c	Sun Mar 18 14:51:21 2001
@@ -134,7 +134,6 @@
 #define CREATE_CBDATA_FREE(type, free_func) cbdataInitType(CBDATA_##type, #type, sizeof(type), free_func)
     CREATE_CBDATA(acl_access);
     CREATE_CBDATA(aclCheck_t);
-    CREATE_CBDATA(clientHttpRequest);
     CREATE_CBDATA(ConnStateData);
     CREATE_CBDATA(ErrorState);
     CREATE_CBDATA(FwdState);
